import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;
import java.util.*;


public class EmployeeServlet extends HttpServlet {

  public void init(ServletConfig config) throws ServletException {
    super.init(config);
  }

  public void doGet(HttpServletRequest req, HttpServletResponse res) throws ServletException, IOException {

    res.setContentType("text/html");
    PrintWriter out = res.getWriter();

    String surname = req.getParameter("surname");

    try {
      // Usign XMLQueyManager
      XMLQueryManager qm = new XMLQueryManager("employee.xml","employee.xsl");

      // Start the query
      String result = qm.query("employees/employee[contains(surname,'"+surname+"')]");
      out.println(result);
    }
    catch (Exception e){
      out.println(e);
    }

    out.close();

  }

}
