/*
Copyright  2002 Covansys

Permission to use, copy, modify, and distribute this software and its
documentation for any purpose is hereby granted without fee, provided that
the above copyright notice appears in all copies and that both that copyright
notice and this permission notice appear in supporting documentation. You are
not permitted to sell this software or any portion of this software without
permission and a suitable agreement with Covansys.

Covansys makes no representations about the suitability of this
software for any purpose. It is provided "as is" without express or implied
warranty.
*/

// QASrvr1Dlg.h : header file
//

#if !defined(AFX_QASRVR1DLG_H__0DA0CB65_3050_46E3_82A6_8ECA4D420553__INCLUDED_)
#define AFX_QASRVR1DLG_H__0DA0CB65_3050_46E3_82A6_8ECA4D420553__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

// The BGRBit structure will contain the color data for a single
// bit
struct BGRBit
{
	byte B;
	byte G;
	byte R;
};


/////////////////////////////////////////////////////////////////////////////
// CQASrvr1Dlg dialog

class CQASrvr1Dlg : public CDialog
{
// Construction
public:
	CString m_strSect;
	CString m_strIPAddr;
	int m_iPortNo;
	CString m_strData;
	SOCKET  m_fd;       // Socket communication handle
	CStatic m_BitmapArea;
	void mouseevent(char* databuf);
	CWnd *pWindow;
	POINT pt;
	CQASrvr1Dlg(CWnd* pParent = NULL);	// standard constructor


// Dialog Data
	//{{AFX_DATA(CQASrvr1Dlg)
	enum { IDD = IDD_QASRVR1_DIALOG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CQASrvr1Dlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CQASrvr1Dlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnConnect();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	CWnd* pDriverWindow;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft eMbedded Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_QASRVR1DLG_H__0DA0CB65_3050_46E3_82A6_8ECA4D420553__INCLUDED_)
