/*
Copyright  2002 Covansys

Permission to use, copy, modify, and distribute this software and its
documentation for any purpose is hereby granted without fee, provided that
the above copyright notice appears in all copies and that both that copyright
notice and this permission notice appear in supporting documentation. You are
not permitted to sell this software or any portion of this software without
permission and a suitable agreement with Covansys.

Covansys makes no representations about the suitability of this
software for any purpose. It is provided "as is" without express or implied
warranty.
*/


#ifndef	header_CONNECT_H
#define	header_CONNECT_H

#define SOH 0x01           	/* ascii SOH character */
#define STX 0x02            /* ascii STX character */
#define ETX 0x03            /* ascii ETX character */
#define EOT 0x04            /* ascii EOT character */
#define ACK 0x06            /* ascii ACK character */

/*
 *	Error codes
 */

/*
 * The following macros is the leftover from the scale server project
 * they are not necessary technically.
 */
#	define	CLOSE	closesocket
#	define	SOCKET_INIT()		SocketInit()
#	define	SOCKET_DEINIT()		SocketDeinit()
#	define	ERROR_RETCODE(ret)	(SOCKET_ERROR == ret)
#	define	ERROR_SOCKETFD(fd)	(INVALID_SOCKET == fd)

bool	SocketInit(void);
void	SocketDeinit(void);
SOCKET	ConnectTo(const char* ipAddr, int port);


#endif  /*header_CONNECT_H*/
