/**
	14/05/2002
	@author		Bogdan Dorohonceanu
 */

package fn;

import java.awt.*;
import java.text.DecimalFormat;

public class PanelResults extends Panel {

    protected Label eName1, eName2;
    protected TextField eValue1, eValue2;
    protected static DecimalFormat decFormat = new DecimalFormat("0.##");

    public PanelResults() {
        super(null);

        setSize(110,60);

        eName1 = new Label("A1>A2", Label.LEFT);
        eName1.setFont(new Font("Dialog",Font.PLAIN,14));
        add(eName1);
        eName1.setBounds(0,0,60,20);

        eName2 = new Label("A1<A2", Label.LEFT);
        eName2.setFont(new Font("Dialog",Font.PLAIN,14));
        add(eName2);
        eName2.setBounds(0,40,60,20);

        eValue1 = new TextField(5);
        eValue1.setFont(new Font("Dialog",Font.PLAIN,14));
        eValue1.setText("");
        eValue1.setEditable(false);
        add(eValue1);
        eValue1.setBounds(60,0,40,20);

        eValue2 = new TextField(5);
        eValue2.setFont(new Font("Dialog",Font.PLAIN,14));
        eValue2.setText("");
        eValue2.setEditable(false);
        add(eValue2);
        eValue2.setBounds(60,40,40,20);
    }

    public void setValues (double d1, double d2) {
        d1 = Math.round(d1 * 100.0) / 100.0;
        d2 = Math.round(d2 * 100.0) / 100.0;
        setValues(decFormat.format(d1), decFormat.format(d2));
    }

    public void setValues (String v1, String v2) {
        eValue1.setText (v1);
        eValue2.setText (v2);
    }
}
